Skip to main content
GET
/
v1
/
captures
/
{capture_id}
Retrieve a capture
curl --request GET \
  --url https://api.withflex.com/v1/captures/{capture_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.withflex.com/v1/captures/{capture_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.withflex.com/v1/captures/{capture_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "capture": {
    "amount_captured": 2500,
    "amount_shipping_captured": 2500,
    "amount_discount_captured": 2500,
    "amount_tax_captured": 2500,
    "capture_id": "fcap_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
    "created_at": "2026-06-15T14:30:00Z",
    "items": [
      {}
    ],
    "metadata": {
      "order_id": "8842",
      "channel": "shopify"
    },
    "test_mode": false
  }
}
{
  "code": "string",
  "detail": "string"
}
{
  "code": "string",
  "detail": "string"
}
{
  "code": "string",
  "detail": "string"
}
{
  "code": "string",
  "detail": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}
{
  "code": "string",
  "detail": "string"
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access this API.

Path Parameters

capture_id
string
required
Example:

"fcap_01J9XR8M3K7VZ8N2YB4WJ6T0RA"

Query Parameters

expand
string
default:""

Comma-separated list of related objects to expand in the response (e.g., "payment_intent").

Example:

""

Response

Success

An envelope wrapping a single capture object.

capture
object
required

The capture object.

Example:
{
  "amount_captured": 2500,
  "amount_shipping_captured": 2500,
  "amount_discount_captured": 2500,
  "amount_tax_captured": 2500,
  "capture_id": "fcap_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
  "created_at": "2026-06-15T14:30:00Z",
  "items": [
    {
      "amount_captured": 2500,
      "capture_item_id": "fcapi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
      "created_at": "2026-06-15T14:30:00Z",
      "payment_intent": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
      "test_mode": false
    }
  ],
  "metadata": { "order_id": "8842", "channel": "shopify" },
  "test_mode": false
}